Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/cassandra-cpp-driver: upgrade to 2.6.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 22 Mar 2017 00:59:33 +0200

---
 testing/cassandra-cpp-driver/APKBUILD | 27 +++++++++++++--------------
 1 file changed, 13 insertions(+), 14 deletions(-)
diff --git a/testing/cassandra-cpp-driver/APKBUILD b/testing/cassandra-cpp-driver/APKBUILD
index c247b429cd..f48a46aea7 100644
--- a/testing/cassandra-cpp-driver/APKBUILD
+++ b/testing/cassandra-cpp-driver/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Gennady Feldman <gena01_at_gmail.com>
 pkgname=cassandra-cpp-driver
 _pkgreal=cpp-driver
-pkgver=2.5.0
+pkgver=2.6.0
 pkgrel=0
 pkgdesc="Cassandra CPP Driver"
 url="http://datastax.github.io/cpp-driver/"
_at_@ -10,25 +10,24 @@ arch="x86_64 x86"
 license="ASL 2.0"
 depends=
 makedepends="cmake make libressl-dev libuv-dev"
-install=""
 subpackages="$pkgname-dev"
 source="$_pkgreal-$pkgver.tar.gz::https://github.com/datastax/cpp-driver/archive/$pkgver.tar.gz"
-
-builddir="$srcdir"/$_pkgreal-$pkgver
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 build() {
-	cd "$builddir"
-	mkdir build
-	cd build
-	cmake -DCMAKE_BUILD_TYPE=RELEASE -DCASS_BUILD_STATIC=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR=lib .. || return 1
-	make || return 1
+	mkdir -p "$builddir"/build
+	cd "$builddir"/build
+	cmake \
+		-DCMAKE_BUILD_TYPE=RELEASE \
+		-DCASS_BUILD_STATIC=ON \
+		-DCMAKE_INSTALL_PREFIX:PATH=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib .. \
+		|| return 1
+	make
 }
 
 package() {
-	cd "$builddir"/build
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir"/build DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="342b18b9a0a8088be06b6ea3b7a7dec6  cpp-driver-2.5.0.tar.gz"
-sha256sums="0ed0c5543d551a7ab864cd8c93ba4e49a37a7a9d8b174ecfc6e27f5c5fbf018d  cpp-driver-2.5.0.tar.gz"
-sha512sums="2652571bc81ccff7f4e1bc67432bc5315ddbd63282b78eb6738fc93f48d29d0f150281d2c3ab2f86fdd01f008db7eee2dc86777f233b976e86f931f2aec76b78  cpp-driver-2.5.0.tar.gz"
+sha512sums="ea04859ebc1f472e654cf7d2e93e57a700de7180307eb4b6aa4b5d6941b56a666103ddd93f2821cd055fcb95658c0ab876d001aa625ffb29c2ce94c034dc8a04  cpp-driver-2.6.0.tar.gz"
-- 
2.12.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Mar 22 2017 - 00:59:33 GMT